Description

Supportanfrage

in unserer Abteilung würden wir gerne Dat-Files in exportieren, sodass man diese bspw. in Matlab importieren kann. Das Exportieren

von CAN-Streams aus einem Dat-File funktioniert über die Zuordnung der dbc-Files im Dat-Exporter ohne Probleme. Möchte man

bspw. den Daten-Stream eines Sensors mit UDP-Protokoll aus einem Dat-Files in ein csv-File konvertieren wird in der csv-Datei

lediglich der Zeitstempel geschrieben. Die eigentlichen Sensordaten sind in dem Exportfile nicht enthalten.

Was machen wir falsch bzw. was kann man tun, dass nicht nur die Zeitstempel exportiert werden?

Lösung

Der CSV Exporter arbeitet anhand der Media Description, d.h. die UDP Daten Struktur muss beschrieben sein.

Dazu musst du bei der Aufnahme im Recorder Create Media Description auf true setzen, dann entsteht neben deinen .dat File auch

ein .dat.description File.

Damit kann der CSV Exporter die Daten interpretieren, ansonsten ist es für ihn nur ein Binär-Blob und er kennt nur die Zeitstempel.

Siehe auch Kap 3.10.1 DAT Exporter

In der Console bekommst du auch genau diesen Hinweis.

History

#1 - 2019-04-24 14:46 - hidden

- Project changed from Public Support to 20

- Topic set to ADTF::Datexporter

#2 - 2019-04-24 15:30 - hidden

- Status changed from New to Customer Feedback Required

Hallo Steffen,

der CSV Exporter arbeitet anhand der Media Description, d.h. die UDP Daten Struktur muss beschrieben sein.

Dazu musst du bei der Aufnahme im Recorder Create Media Description auf true setzen, dann entsteht neben deinen .dat File auch ein

.dat.description File.

Damit kann der CSV Exporter die Daten interpretieren, ansonsten ist es für ihn nur ein Binär-Blob und er kennt nur die Zeitstempel.

Siehe auch Kap 3.10.1 DAT Exporter

In der Console bekommst du auch genau diesen Hinweis.

#3 - 2019-05-02 14:53 - hidden

Hallo Steffen,

wir haben kein Feedback mehr zum Ticket erhalten.

Hast Du die Antwort erhalten?

Können wir das Ticket schließen?
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf


Bitte um Feedback bis morgen 03.05.2019

#4 - 2019-05-06 15:20 - hidden

- Project changed from 20 to Public Support

- Subject changed from Probleme mit Dat-Exporter to Exporting UDP streams to .csv files

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#5 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed
